<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Language\Text;

class RseventsproControllerImports extends BaseController
{
	public function __construct() {
		parent::__construct();

		$this->registerTask('jevents', 'import');
		$this->registerTask('jcalpro', 'import');
		$this->registerTask('eventlistbeta', 'import');
		$this->registerTask('jcalpro', 'import');
		$this->registerTask('eventlist', 'import');
		$this->registerTask('ohanah', 'import');
		$this->registerTask('csv', 'import');
	}

	public function import() {
		$model  = $this->getModel('imports');
		$task   = $this->getTask();

		try {
			$message = Text::plural('COM_RSEVENTSPRO_IMPORTED_EVENTS', $model->$task());
		} catch (Exception $e) {
			$message = $e->getMessage();
		}

		$this->setMessage($message);
		$this->setRedirect('index.php?option=com_rseventspro&view=imports');
	}
}