<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\Controller\AdminController;

class RseventsproControllerLocations extends AdminController
{	
	protected $text_prefix = 'COM_RSEVENTSPRO_LOCATIONS';
	
	public function __construct($config = array()) {
		parent::__construct($config);
	}
	
	public function getModel($name = 'Location', $prefix = 'RseventsproModel', $config = array('ignore_request' => true)) {
		return parent::getModel($name, $prefix, $config);
	}
	
	public function saveOrderAjax() {
		$pks   = $this->input->post->get('cid', null, 'array');
		$order = $this->input->post->get('order', null, 'array');
		$originalOrder = explode(',', $this->input->getString('original_order_values'));

		// Make sure something has changed
		if (!($order === $originalOrder)) {
			// Save the ordering
			if ($this->getModel()->saveorder($pks, $order)) {
				echo "1";
			}
		}

		exit();
	}
}