<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

class RseventsproControllerMessage extends BaseController
{	
	public function __construct($config = array()) {
		parent::__construct($config);
		
		$this->registerTask('apply', 'save');
	}
	
	public function getModel($name = 'Message', $prefix = 'RseventsproModel', $config = array('ignore_request' => true)) {
		return parent::getModel($name, $prefix, $config);
	}
	
	public function save() {
		$data	= $this->input->get('jform', array(), 'array');
		$model	= $this->getModel();
		$task	= $this->getTask();
		
		$model->save($data);
		
		$this->setMessage(Text::_('JLIB_APPLICATION_SAVE_SUCCESS'));
		
		if ($task == 'apply') {
			$this->setRedirect(Route::_('index.php?option=com_rseventspro&view=message&type='.$data['type'].'&jform[language]='.$data['language'],false));
		} else {
			$this->setRedirect(Route::_('index.php?option=com_rseventspro&view=messages',false));
		}
	}
	
	public function cancel() {
		$this->setRedirect(Route::_('index.php?option=com_rseventspro&view=messages',false));
	}
}