<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\Controller\AdminController;
use Joomla\CMS\Language\Text;

class RseventsproControllerUsers extends AdminController
{
	public function getModel($name = 'User', $prefix = 'RseventsproModel', $config = array('ignore_request' => true)) {
		return parent::getModel($name, $prefix, $config);
	}
	
	public function deleteimage() {
		// Delete image
		echo (int) $this->getModel()->deleteimage();

		exit();
	}
	
	public function reset() {
		$pks = $this->input->get('cid', array(), 'array');
		$pks = array_map('intval', $pks);

		$this->getModel()->reset($pks);
		
		$this->setMessage(Text::_('COM_RSEVENTSPRO_EVENTS_CREATED_RESET_OK'));
		
		$this->setRedirect('index.php?option=com_rseventspro&view=users');
	}
}