<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\MVC\Model\ListModel;
use Joomla\CMS\Factory;

class RseventsproModelRules extends ListModel
{
	public function __construct($config = array()) {
		parent::__construct($config);
	}

	protected function getListQuery() {
		$db 	= Factory::getDBO();
		$query 	= $db->getQuery(true);
		
		// Select fields
		$query->select('*');
		
		// Select from table
		$query->from($db->qn('#__rseventspro_rules'));
		
		// Add the list ordering clause
		$query->order($db->qn('payment').' DESC');
		$query->order($db->qn('interval').' ASC');

		return $query;
	}

	protected function populateState($ordering = null, $direction = null) {
		$this->setState('list.start', 0);
	}
}