<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class RseventsproViewBackup extends HtmlView
{	
	public function display($tpl = null) {
		require_once JPATH_SITE.'/components/com_rseventspro/helpers/backup.php';
		
		$backup			 = new RSEBackup;
		$this->files	 = $backup->getBackups();
		$this->hash		 = Factory::getApplication()->input->getString('hash');
		$this->overwrite = Factory::getApplication()->input->getInt('overwrite',0);
		$this->tabs		 = new RSEventsproAdapterTabs('backuprestore');
		
		Text::script('COM_RSEVENTSPRO_BACKUP_OVERWRITE_RESTORE');
		Text::script('COM_RSEVENTSPRO_BACKUP_RESTORE');
		Text::script('COM_RSEVENTSPRO_GLOBAL_DELETE_BTN');
		
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_BACKUP_RESTORE_TITLE'),'rseventspro48');
		parent::display($tpl);
	}
}