<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

?>

<fieldset class="options-form">
	<legend><?php echo Text::_('COM_RSEVENTSPRO_EVENT_TAB_INVOICE'); ?></legend>
	
	<?php echo $this->form->renderField('invoice'); ?>
	<?php echo $this->form->renderField('invoice_attach'); ?>
	<?php echo $this->form->renderField('invoice_type'); ?>

	<div id="rsepro-invoice-custom" style="display:none;">
		<?php echo $this->form->renderField('invoice_font'); ?>
		<?php echo $this->form->renderField('invoice_orientation'); ?>
		<?php echo $this->form->renderField('invoice_padding'); ?>
		<?php echo $this->form->renderField('invoice_prefix'); ?>
		<?php echo RSEventsproAdapterGrid::renderField(Text::_('COM_RSEVENTSPRO_CONF_INVOICE_LAYOUT'), '<button type="button" class="btn btn-primary" onclick="jQuery(\'#rsepro-invoice\').modal(\'show\')">'.Text::_('COM_RSEVENTSPRO_GLOBAL_EDIT_BTN').'</button>'); ?>
	</div>

	<div class="form-actions">
		<button class="btn btn-success rsepro-event-update" type="button"><?php echo Text::_('COM_RSEVENTSPRO_UPDATE_EVENT'); ?></button>
		<button class="btn btn-danger rsepro-event-cancel" type="button"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL_BTN'); ?></button>
	</div>
	
	<?php echo HTMLHelper::_('bootstrap.renderModal', 'rsepro-invoice', array('title' => Text::_('COM_RSEVENTSPRO_EDIT_INVOICE_LAYOUT'), 'url' => 'index.php?option=com_rseventspro&view=event&layout=invoice&tmpl=component&id='.$this->item->id, 'bodyHeight' => 70)); ?>
</fieldset>