<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

?>

<form method="post" action="<?php echo Route::_('index.php?option=com_rseventspro&view=event&layout=invoice&tmpl=component&id='.$this->id, false); ?>" id="adminForm" name="adminForm" class="form-horizontal">
	
	<?php echo $this->form->renderField('invoice_language'); ?>
	<?php echo $this->form->renderField('invoice_title'); ?>
	<?php echo '<div class="alert alert-info">'.Text::_('COM_RSEVENTSPRO_INVOICE_PLACEHOLDERS').'</div>'; ?>
	<?php echo $this->form->getInput('invoice_layout'); ?>
	<div class="clearfix"></div>
	
	<div class="form-actions">
		<button type="button" class="btn btn-primary" onclick="Joomla.submitbutton('event.saveinvoice');"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_SAVE_BTN'); ?></button>
	</div>
	
	<input type="hidden" name="jform[id]" value="<?php echo $this->id; ?>" />
	<input type="hidden" name="task" value="" />
</form>