<?php
/**
 * @package RSEvents!Pro
 * @copyright (C) 2020 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Language\Text;

?>

<form method="post" action="index.php?option=com_rseventspro" name="newEventForm" id="newEventForm" class="form-horizontal">
    <div class="container-fluid p-3">
        <div class="<?php echo RSEventsproAdapterGrid::row(); ?>">
            <div class="<?php echo RSEventsproAdapterGrid::column(12); ?>">
                <?php echo $this->newEventForm->renderField('published'); ?>
            </div>
        </div>
        <div class="<?php echo RSEventsproAdapterGrid::row(); ?>">
            <div class="<?php echo RSEventsproAdapterGrid::column(12); ?>">
                <?php echo $this->newEventForm->renderField('name'); ?>
            </div>
        </div>
        <div class="<?php echo RSEventsproAdapterGrid::row(); ?>">
            <div class="<?php echo RSEventsproAdapterGrid::column(6); ?>">
                <?php echo $this->newEventForm->renderField('start'); ?>
            </div>
            <div id="newEventEnd" class="<?php echo RSEventsproAdapterGrid::column(6); ?>">
                <?php echo $this->newEventForm->renderField('end'); ?>
            </div>
        </div>
        <div class="<?php echo RSEventsproAdapterGrid::row(); ?>">
            <div class="<?php echo RSEventsproAdapterGrid::column(12); ?>">
                <?php echo $this->newEventForm->renderField('allday'); ?>
            </div>
        </div>
        <div class="<?php echo RSEventsproAdapterGrid::row(); ?>">
            <div class="<?php echo RSEventsproAdapterGrid::column(12); ?>">
                <?php echo $this->newEventForm->renderField('location'); ?>
            </div>
        </div>
        <div class="<?php echo RSEventsproAdapterGrid::row(); ?>">
            <div class="<?php echo RSEventsproAdapterGrid::column(6); ?>">
                <?php echo $this->newEventForm->renderField('categories'); ?>
            </div>
            <div class="<?php echo RSEventsproAdapterGrid::column(6); ?>">
                <?php echo $this->newEventForm->renderField('tags'); ?>
            </div>
        </div>
        <div class="<?php echo RSEventsproAdapterGrid::row(); ?>">
            <div class="<?php echo RSEventsproAdapterGrid::column(12); ?>">
                <?php echo $this->newEventForm->renderField('registration_type'); ?>
            </div>
        </div>
        <div id="newEventTickets" class="<?php echo RSEventsproAdapterGrid::row(); ?>">
            <div class="<?php echo RSEventsproAdapterGrid::column(12); ?>">
                <div class="control-group">
                    <div class="control-label"></div>
                    <div class="controls">
                        <button type="button" onclick="rsepro_new_event_ticket()" class="btn btn-primary"><i class="fa fa-plus"></i> <?php echo Text::_('COM_RSEVENTSPRO_ADD_TICKET'); ?></button>

                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th><?php echo Text::_('COM_RSEVENTSPRO_NEW_EVENT_TICKET_NAME'); ?></th>
                                    <th><?php echo Text::_('COM_RSEVENTSPRO_NEW_EVENT_TICKET_PRICE'); ?></th>
                                    <th><?php echo Text::_('COM_RSEVENTSPRO_NEW_EVENT_TICKET_QUANTITY'); ?></th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody id="newEventTicketsContent"></tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="<?php echo RSEventsproAdapterGrid::row(); ?>">
            <div class="<?php echo RSEventsproAdapterGrid::column(12); ?>">
                <?php echo $this->newEventForm->getInput('description'); ?>
            </div>
        </div>
    </div>

    <input type="hidden" name="task" value="" />
    <input type="hidden" name="time" id="rsepro-time" value="<?php echo $this->config->time_format; ?>" />
    <input type="hidden" name="seconds" id="rsepro-seconds" value="<?php echo $this->config->hideseconds; ?>" />
</form>
<script>rsepro_new_event_reg(0);</script>
