<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Factory;

?>

<form method="post" action="<?php echo Route::_('index.php?option=com_rseventspro&view=events'); ?>" name="adminForm" id="adminForm" autocomplete="off">
	<?php echo RSEventsproAdapterGrid::sidebar(); ?>
		<table class="table table-striped">
			<thead>
				<th width="1%" class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo HTMLHelper::_('grid.checkall'); ?></th>
				<th width="84%"><?php echo Text::_('COM_RSEVENTSPRO_REPORT_MESSAGE'); ?></th>
				<th width="10%" class="nowrap hidden-phone <?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo Text::_('COM_RSEVENTSPRO_REPORT_USER'); ?></th>
				<th width="5%" class="nowrap hidden-phone <?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo Text::_('COM_RSEVENTSPRO_REPORT_IP'); ?></th>
			</thead>
			<tbody>
				<?php if (!empty($this->reports['data'])) { ?>
				<?php foreach ($this->reports['data'] as $i => $report) { ?>
				<tr class="row<?php echo $i%2; ?>">
					<td class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo HTMLHelper::_('grid.id',$i,$report->id); ?></td>
					<td class="has-context"><?php echo $report->text; ?></td>
					<td class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo $report->idu ? $report->name : Text::_('COM_RSEVENTSPRO_GLOBAL_GUEST'); ?></td>
					<td class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo $report->ip; ?></td>
				</tr>
				<?php } ?>
				<?php } ?>
			</tbody>
		</table>
	</div>

	<?php echo HTMLHelper::_( 'form.token' ); ?>
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="ide" value="<?php echo Factory::getApplication()->input->getInt('id',0); ?>" />
</form>