<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

class RseventsproViewGroup extends HtmlView
{
	public function display($tpl = null) {
		$this->form 		= $this->get('Form');
		$this->item 		= $this->get('Item');
		$this->tabs 		= $this->get('Tabs');
		
		$this->addToolBar();
		parent::display($tpl);
	}
	
	protected function addToolBar() {
		
		if (!rseventsproHelper::isJ4()) {
			HTMLHelper::_('formbehavior.chosen', 'select');
		}
		
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_ADD_EDIT_GROUP'),'rseventspro48');
		ToolBarHelper::apply('group.apply');
		ToolBarHelper::save('group.save');
		ToolBarHelper::save2new('group.save2new');
		ToolBarHelper::cancel('group.cancel');
	}
}