<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Language\Text;

class RseventsproViewPayment extends HtmlView
{
	public function display($tpl = null) {
		require_once JPATH_SITE.'/components/com_rseventspro/helpers/placeholders.php';
		
		$this->placeholders = RSEventsProPlaceholders::get('payment');
		$this->form 		= $this->get('Form');
		$this->item 		= $this->get('Item');
		
		$this->addToolBar();
		parent::display($tpl);
	}
	
	protected function addToolBar() {
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_ADD_EDIT_PAYMENT'),'rseventspro48');
		ToolBarHelper::apply('payment.apply');
		ToolBarHelper::save('payment.save');
		ToolBarHelper::save2new('payment.save2new');
		ToolBarHelper::cancel('payment.cancel');
	}
}