<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

class RseventsproViewPayments extends HtmlView
{
	public function display($tpl = null) {
		$this->items 		= $this->get('Items');
		$this->pagination 	= $this->get('Pagination');
		$this->plugins		= $this->get('Plugins');
		$this->state 		= $this->get('State');
		$this->filterForm   = $this->get('FilterForm');
		
		$this->addToolBar();
		parent::display($tpl);
	}
	
	protected function addToolBar() {
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_LIST_PAYMENTS'),'rseventspro48');
		ToolBarHelper::addNew('payment.add');
		ToolBarHelper::editList('payment.edit');
		ToolBarHelper::deleteList('','payments.delete');
		ToolBarHelper::publishList('payments.publish');
		ToolBarHelper::unpublishList('payments.unpublish');
		ToolBarHelper::divider();
		ToolBar::getInstance('toolbar')->appendButton('Link', 'list', Text::_('COM_RSEVENTSPRO_PAYMENT_RULES'), Route::_('index.php?option=com_rseventspro&view=rules'));
	}
}