<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

HTMLHelper::_('behavior.keepalive'); ?>

<?php if ($this->placeholders) { ?>
<fieldset class="options-form">
	<legend><?php echo Text::_('COM_RSEVENTSPRO_EMAIL_PLACEHOLDERS'); ?></legend>
	<table class="table table-striped table-condensed" id="placeholdersTable">
	<?php foreach ($this->placeholders as $placeholder => $description) { ?>
	<tr>
		<td class="rsepro-placeholder"><?php echo $placeholder; ?></td>
		<td><?php echo Text::_($description); ?></td>
	</tr>
	<?php } ?>
	</table>
</fieldset>
<?php } ?>