<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Language\Text;

class RseventsproViewSpeakers extends HtmlView
{	
	public function display($tpl = null) {
		$this->items 		= $this->get('Items');
		$this->pagination 	= $this->get('Pagination');
		$this->state 		= $this->get('State');
		$this->filterForm   = $this->get('FilterForm');
		
		$this->addToolBar();
		parent::display($tpl);
	}
	
	protected function addToolBar() {
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_LIST_SPEAKERS'),'rseventspro48');
		ToolBarHelper::addNew('speaker.add');
		ToolBarHelper::editList('speaker.edit');
		ToolBarHelper::deleteList('','speakers.delete');
		ToolBarHelper::publishList('speakers.publish');
		ToolBarHelper::unpublishList('speakers.unpublish');
	}
}