<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Factory;

class RseventsproViewUnsubscribers extends HtmlView
{	
	public function display($tpl = null) {
		$this->state 		= $this->get('State');
		$this->items 		= $this->get('Items');
		$this->pagination 	= $this->get('Pagination');
		$this->filterForm   = $this->get('FilterForm');
		$this->activeFilters= $this->get('ActiveFilters');
		$this->id           = Factory::getApplication()->input->getInt('id',0);
		
		$this->addToolBar();
		parent::display($tpl);
	}
	
	protected function addToolBar() {
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_UNSUBSCRIBERS'),'rseventspro48');
		
		ToolBar::getInstance('toolbar')->appendButton( 'Link', 'arrow-down', Text::_('COM_RSEVENTSPRO_EXPORT_CSV'), Route::_('index.php?option=com_rseventspro&task=unsubscribers.export&id='.$this->id));
		ToolBarHelper::deleteList('','unsubscribers.delete');
	}
}