<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

HTMLHelper::_('behavior.keepalive'); ?>

<form method="post" action="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro'); ?>" id="feedbackForm" name="feedbackForm">
	<div id="rsepro-feedback-container-j<?php echo rseventsproHelper::isJ4() ? '4' : '3'; ?>" class="container-fluid">
		<h1><?php echo Text::sprintf('COM_RSEVENTSPRO_TITLE_FEEDBACK', $this->event->name); ?></h1>
		
		<?php if ($this->feedbacks) { ?>
		<?php foreach ($this->feedbacks as $feedback) { ?>
		<?php echo RSEventsproAdapterGrid::renderField($feedback->question, rseventsproHelper::feedbackInput($feedback)); ?>
		<?php } ?>
		<?php } ?>
		
		<div class="form-actions">
			<button type="submit" class="btn btn-primary"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_SEND'); ?></button>
		</div>
		
		<?php echo HTMLHelper::_( 'form.token' )."\n"; ?>
		<input type="hidden" name="task" value="rseventspro.feedback" />
		<input type="hidden" name="option" value="com_rseventspro" />
		<input type="hidden" name="id" value="<?php echo $this->event->id; ?>" />
		<?php if ($hash = $this->app->input->getString('hash')) { ?><input type="hidden" name="hash" value="<?php echo $hash; ?>" /><?php } ?>
		<input type="hidden" name="jform[id]" value="<?php echo $this->event->id; ?>" />
	</div>
</form>