<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_tags_popular
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

?>
<?php JLoader::register('TagsHelperRoute', JPATH_BASE . '/components/com_tags/helpers/route.php'); ?>
<div class="tagspopular">
	<?php if (!count($list)) : ?>
		<div class="alert alert-warning"><?php echo JText::_('MOD_TAGS_POPULAR_NO_ITEMS_FOUND'); ?></div>
	<?php else : ?>
		<ul>
			<?php foreach ($list as $item) : ?>
			<li><?php $route = new TagsHelperRoute; ?>
				<a href="<?php echo JRoute::_(TagsHelperRoute::getTagRoute($item->tag_id . '-' . $item->alias)); ?>">
					<?php echo htmlspecialchars($item->title); ?>
					<?php if ($display_count) : ?>
						<span class="tag-count badge badge-info"><?php echo $item->count; ?></span>
					<?php endif; ?>
				</a>
			</li>
			<?php endforeach; ?>
		</ul>
	<?php endif; ?>
</div>


<!-- <div class="alert alert-warning"><?php echo 'MOD_TAGS_POPULAR_NO_ITEMS_FOUND'; ?></div>
	<ul>
		<li>
			<a href="">tags one</a>
			<a href="">tags two</a>
			<a href="">tags three</a>
		</li>
	</ul>
</div> -->