<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license     GNU General Public License version 2 or later; see LICENSE
*/

defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Form\FormField;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class JFormFieldRSWaitinglisttime extends FormField
{
	public $type = 'RSWaitinglisttime';

	protected function getInput() {
		$html	= array();
		$class	= !rseventsproHelper::isJ4() && Factory::getApplication()->isClient('site') ? ' input-small' : '';
		
		$html[] = '<div class="'.RSEventsproAdapterGrid::row().'">';
		$html[] = '<div class="'.RSEventsproAdapterGrid::column(4).'">'.RSEventsproAdapterGrid::inputGroup('<input type="text" class="form-control'.$class.'" name="'.$this->name.'[]" value="'.$this->value[0].'" />',null, Text::_('COM_RSEVENTSPRO_DAYS')).'</div>';
		$html[] = '<div class="'.RSEventsproAdapterGrid::column(4).'">'.RSEventsproAdapterGrid::inputGroup('<input type="text" class="form-control'.$class.'" name="'.$this->name.'[]" value="'.$this->value[1].'" />',null, Text::_('COM_RSEVENTSPRO_HOURS')).'</div>';
		$html[] = '<div class="'.RSEventsproAdapterGrid::column(4).'">'.RSEventsproAdapterGrid::inputGroup('<input type="text" class="form-control'.$class.'" name="'.$this->name.'[]" value="'.$this->value[2].'" />',null, Text::_('COM_RSEVENTSPRO_MINUTES')).'</div>';
		$html[] = '</div>';
		
		return implode("\n", $html);
	}
}