<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 

use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

// Check for access
if (!Factory::getUser()->authorise('core.manage', 'com_rseventspro'))
	 throw new Exception(Text::_('JERROR_ALERTNOAUTHOR'), 403);
	
// Load files
require_once JPATH_SITE. '/components/com_rseventspro/helpers/adapter/adapter.php';
require_once JPATH_SITE. '/components/com_rseventspro/helpers/rseventspro.php';
require_once JPATH_ADMINISTRATOR.'/components/com_rseventspro/controller.php';

// Initialize main helper
rseventsproHelper::loadHelper();

$controller	= BaseController::getInstance('Rseventspro');
$controller->execute(Factory::getApplication()->input->get('task'));
$controller->redirect();