<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Table\Table;

class RseventsproTableEmail extends Table
{
	public function __construct($db) {
		parent::__construct('#__rseventspro_emails', 'id', $db);
	}
	
	public function check() {
		if (empty($this->enable)) {
			$this->enable = 1;
		}
		
		return true;
	}

	public function delete($pk = null, $children = false) {
		$db		= $this->getDbo();
		$query	= $db->getQuery(true);
		
		// Remove the history
		$query->clear();
		$query->delete();
		$query->from($db->qn('#__rseventspro_emails'));
		$query->where($db->qn('parent').' = '.$db->q($pk));
		
		$db->setQuery($query);
		$db->execute();
		
		return parent::delete($pk, $children);
	}
}