<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Table\Table;
use Joomla\CMS\Factory;

class RseventsproTablePayment extends Table
{
	public function __construct($db) {
		parent::__construct('#__rseventspro_payments', 'id', $db);
	}
	
	public function check() {
		if (empty($this->tax_value)) {
			$this->tax_value = 0;
		}
		
		if (empty($this->id)) {
			$this->language = Factory::getLanguage()->getTag();
		} else {
			RSEventsProTranslations::saveTranslations($this, 'payment', RSEventsProTranslations::getLanguage('payment', $this->id));
		}
		
		return true;
	}
	
	public function delete($pk = null, $children = true) {
		$delete = parent::delete($pk, $children);
		
		if ($delete) RSEventsProTranslations::removeTranslations('payment', $pk);
		
		return $delete;
	}
}