<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

?>

<div class="container-fluid form-horizontal">
	<div class="control-group">
		<div class="control-label">
			<label for="rsepro-new-category"><?php echo Text::_('COM_RSEVENTSPRO_EVENT_CATEGORY_NAME'); ?></label>
		</div>
		<div class="controls">
			<input type="text" id="rsepro-new-category" class="form-control" name="category" placeholder="<?php echo Text::_('COM_RSEVENTSPRO_EVENT_ENTER_CATEGORY_NAME'); ?>" />
		</div>
	</div>
	<div class="control-group">
		<div class="control-label">
			<label for="category-parent"><?php echo Text::_('COM_RSEVENTSPRO_EVENT_CHOOSE_PARENT'); ?></label>
		</div>
		<div class="controls">
			<select id="category-parent" name="parent" class="custom-select">
				<option value="1"><?php echo Text::_('JLIB_HTML_ADD_TO_ROOT'); ?></option>
				<?php echo HTMLHelper::_('select.options', HTMLHelper::_('category.options','com_rseventspro', array('filter.published' => array(1)))); ?>
			</select>
		</div>
	</div>
</div>