<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Factory;

HTMLHelper::_('behavior.keepalive'); ?>

<form action="<?php echo Route::_('index.php?option=com_rseventspro&view=messages'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate form-horizontal" autocomplete="off">
	<?php echo RSEventsproAdapterGrid::sidebar(); ?>
		<fieldset class="options-form">
			<table class="table table-striped">
				<tbody>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_REGISTRATION_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=registration'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_REGISTRATION_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_ACTIVATION_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=activation'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_ACTIVATION_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_UNSUBSCRIBE_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=unsubscribe'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_UNSUBSCRIBE_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_DENIED_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=denied'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_DENIED_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_REFUND_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=refund'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_REFUND'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_INVITE_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=invite'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_INVITE_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_REMINDER_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=reminder'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_REMINDER_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_POSTREMINDER_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=preminder'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_PREMINDER_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_MODERATION_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=moderation'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_MODERATION_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_TAG_MODERATION_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=tag_moderation'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_TAG_MODERATION_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_NOTIFICATION_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=notify_me'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_NOTIFICATION_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_NOTIFICATION_PAID_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=notify_me_paid'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_NOTIFICATION_PAID_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_UNSUBSCRIBE_NOTIFICATION_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=notify_me_unsubscribe'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_UNSUBSCRIBE_NOTIFICATION_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_REPORT_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=report'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_REPORT_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_APPROVAL_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=approval'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_APPROVAL_EMAIL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_CANCEL_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=cancel'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_CANCEL'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_CONTACT_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=contact'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_CONTACT'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_CONF_EMAIL_FEEDBACK_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=feedback'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_FEEDBACK'); ?></a></td>
					</tr>
				</tbody>
			</table>
		</fieldset>
		
		<fieldset class="options-form">
			<legend><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_RSVP'); ?></legend>
			<table class="table table-striped">
				<tbody>
					<tr>
						<td><a href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=rsvpgoing'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_MESSAGE_RSVPGOING'); ?></a></td>
					</tr>
					<tr>
						<td><a href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=rsvpinterested'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_MESSAGE_RSVPINTERESTED'); ?></a></td>
					</tr>
					<tr>
						<td><a href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=rsvpnotgoing'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_MESSAGE_RSVPNOTGOING'); ?></a></td>
					</tr>
				</tbody>
			</table>
		</fieldset>
		
		<fieldset class="options-form">
			<legend><?php echo Text::_('COM_RSEVENTSPRO_CONF_EMAIL_WAITINGLIST'); ?></legend>
			<table class="table table-striped">
				<tbody>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_MESSAGE_WAITINGLIST_USER_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=waitinglistuser'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_MESSAGE_WAITINGLIST_USER'); ?></a></td>
					</tr>
					<tr>
						<td><a class="<?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText(Text::_('COM_RSEVENTSPRO_MESSAGE_WAITINGLIST_ADMIN_INFO')); ?>" href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=waitinglistadmin'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_MESSAGE_WAITINGLIST_ADMIN'); ?></a></td>
					</tr>
					<tr>
						<td><a href="<?php echo Route::_('index.php?option=com_rseventspro&view=message&type=waitinglist'); ?>"><?php echo Text::_('COM_RSEVENTSPRO_MESSAGE_WAITINGLIST'); ?></a></td>
					</tr>
				</tbody>
			</table>
		</fieldset>
		
		<?php Factory::getApplication()->triggerEvent('onrsepro_extraEmails', array(array('view' => $this))); ?>
	</div>
	
	<input type="hidden" name="task" value="" />
</form>