<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Factory;

class RseventsproViewPlaceholders extends HtmlView
{	
	public function display($tpl = null) {
		require_once JPATH_SITE.'/components/com_rseventspro/helpers/placeholders.php';
		
		$type 				= Factory::getApplication()->input->getCmd('type','');
		$this->placeholders = RSEventsProPlaceholders::get($type);
		
		parent::display($tpl);
	}
}