<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 

use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Table\Table;
use Joomla\CMS\Factory;

// Load the component main helper
require_once JPATH_SITE.'/components/com_rseventspro/helpers/adapter/adapter.php';
require_once JPATH_SITE.'/components/com_rseventspro/helpers/rseventspro.php';
// Load Router Helper
require_once JPATH_SITE.'/components/com_rseventspro/helpers/route.php';
// Load the component main controller
require_once JPATH_SITE.'/components/com_rseventspro/controller.php';
// Set the table directory
Table::addIncludePath(JPATH_ADMINISTRATOR.'/components/com_rseventspro/tables');
// Initialize main helper
rseventsproHelper::loadHelper();
// Set some task that are not available in the front-end
rseventsproHelper::task();

$controller	= BaseController::getInstance('Rseventspro');
$controller->execute(Factory::getApplication()->input->get('task'));
$controller->redirect();