<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

Text::script('COM_RSEVENTSPRO_CONTACT_NAME_ERROR');
Text::script('COM_RSEVENTSPRO_CONTACT_EMAIL_ERROR');
Text::script('COM_RSEVENTSPRO_CONTACT_MESSAGE_ERROR');
Text::script('COM_RSEVENTSPRO_CONTACT_CAPTCHA_ERROR');
Text::script('COM_RSEVENTSPRO_CONTACT_INVALID_EMAIL_ADDRESS');
HTMLHelper::_('behavior.keepalive'); ?>

<div id="rs-contact-messages" class="alert alert-danger" style="display:none;"></div>

<form method="post" action="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro'); ?>" id="contactForm" name="contactForm">
	
	<?php echo $this->form->renderField('name'); ?>
	<?php echo $this->form->renderField('email'); ?>
	<?php echo $this->form->renderField('message'); ?>
	
	<?php if (in_array(3,$this->captcha_use)) { ?>
	<div class="rsepro-contact-captcha">
		<?php if ($this->config->captcha == 1) { ?>			
		<img id="captcha" src="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&task=captcha&tmpl=component&rand='.rand(),false); ?>" onclick="javascript:reloadContactCaptcha()" />
		<span class="explain">
			<?php echo Text::_('COM_RSEVENTSPRO_CAPTCHA_TEXT'); ?> <br /> <?php echo Text::_('COM_RSEVENTSPRO_CAPTCHA_RELOAD'); ?>
		</span>
		<input type="text" id="secret" name="secret" value="" class="input-small" />
		<?php } elseif ($this->config->captcha == 2) { ?>
		<div id="rse-g-recaptcha"></div>
		<?php } elseif ($this->config->captcha == 3) { ?>
		<div id="h-captcha-rseContact"></div>
		<?php } ?>
	</div>
	<?php } ?>
	
	<div class="form-actions">
		<button type="submit" class="btn btn-primary" onclick="return rs_contact();"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_SEND'); ?></button>
	</div>
	
	<?php echo HTMLHelper::_( 'form.token' )."\n"; ?>
	<input type="hidden" name="task" value="rseventspro.contact" />
	<input type="hidden" name="option" value="com_rseventspro" />
	<input type="hidden" name="id" value="<?php echo $this->event->id; ?>" />
	<input type="hidden" name="jform[id]" value="<?php echo $this->event->id; ?>" />
</form>