<?php

/**
 * @package Helix3 Framework
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2014 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or Later
 */
//no direct accees
defined('_JEXEC') or die('resticted aceess');

class Helix3FeatureContact
{

	private $helix3;
	public $position;

	public function __construct($helix3)
	{
		$this->helix3 = $helix3;
		$this->position = $this->helix3->getParam('contact_position');
	}

	public function renderFeature()
	{

		if ($this->helix3->getParam('enable_contactinfo')) {

			$output = '<ul class="sp-contact-info">';

			if ($this->helix3->getParam('contact_location')) $output .= '<li class="sp-contact-phone"><i class="fa fa-map-marker"></i>' . $this->helix3->getParam('contact_location') . '</li>';
			if ($this->helix3->getParam('contact_phone')) $output .= '<li class="sp-contact-phone"><i class="fa fa-phone"></i>' . $this->helix3->getParam('contact_phone') . '</li>';
			if ($this->helix3->getParam('contact_email')) $output .= '<li class="sp-contact-email"><i class="fa fa-envelope"></i> <a href="mailto:' . $this->helix3->getParam('contact_email') . '">' . $this->helix3->getParam('contact_email') . '</a></li>';

			$output .= '</ul>';

			return $output;
		}
	}
}